package merchant

type GetOrderReq struct {
}

type GetOrderResp struct {
	Id              int64  `json:"id" `
	OrderNo         string `json:"order_no"`
	MerchantId      int64  `json:"merchant_id"`
	ProductId       int64  `json:"product_id"`
	ProductUrl      string `json:"product_url"`
	OutTradeNo      string `json:"out_trade_no"`
	RechargeAccount string `json:"recharge_account"`
	AccountType     int64  `json:"account_type"`
	Number          int64  `json:"number"`
	NotifyUrl       string `json:"notify_url"`
	ExtendParameter string `json:"extend_parameter"`
	Status          int64  `json:"status"`
	TransferStatus  int64  `json:"transfer_status"`
	FailReason      string `json:"fail_reason"`
	CreatedAt       string `json:"created_at" example:"2020-01-01 00:00:00"`
}

type FinishOrderReq struct {
	Id         int64  `json:"id" validate:"required"`
	OrderNo    string `json:"order_no" validate:"required"`
	ProductId  int64  `json:"product_id" validate:"required"`
	MerchantId int64  `json:"merchant_id" validate:"required"`
	DeviceNo   string `json:"device_no"`
	Result     string `json:"result" validate:"required"`
	FailReason string `json:"fail_reason"`
}

type FinishOrderResp struct {
	Id int64 `json:"id"`
}

type SetOrderMobileReq struct {
	Id         int64  `json:"id" validate:"required"`
	OrderNo    string `json:"order_no" validate:"required"`
	ProductId  int64  `json:"product_id" validate:"required"`
	MerchantId int64  `json:"merchant_id" validate:"required"`
	DeviceNo   string `json:"device_no"`
}

type SetOrderMobileResp struct {
	Id int64 `json:"id"`
}

